<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Lifinity Dungeon: cpp_filrouge_iscj_allemann/include/Character/CharacterClass.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Lifinity Dungeon
   &#160;<span id="projectnumber">6</span>
   </div>
   <div id="projectbrief">The Lifinity Dungeon is a dungeon with an infinity of room. After each room, you found a harder room. This is why you will pass the eternity of your life in this dungeon</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_7b4dd9274471389300495e9c763ca813.html">cpp_filrouge_iscj_allemann</a></li><li class="navelem"><a class="el" href="dir_e5b3fe71963387781ba01d2a56ee1874.html">include</a></li><li class="navelem"><a class="el" href="dir_8082b9977330bac1504bd0163637bac5.html">Character</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">CharacterClass.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_character_class_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160; </div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#pragma once</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160; </div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#include &lt;iostream&gt;</span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#include &lt;memory&gt;</span></div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#include &lt;vector&gt;</span></div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#include &quot;..\Object\IObject.hpp&quot;</span></div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="preprocessor">#include &quot;..\Spell\ISpell.hpp&quot;</span></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#include &quot;..\Backpack.hpp&quot;</span></div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="preprocessor">#include &quot;..\Dice.hpp&quot;</span></div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160; </div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="keyword">using namespace </span>std;</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160; </div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="keyword">namespace </span>He_Arc::RPG</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;{</div>
<div class="line"><a name="l00038"></a><span class="lineno"><a class="line" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">   38</a></span>&#160;    <span class="keyword">class </span><a class="code" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">CharacterClass</a></div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;    {</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    <span class="keyword">protected</span>:</div>
<div class="line"><a name="l00045"></a><span class="lineno"><a class="line" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a140f440d1d3332267268791ad9a2cc3e">   45</a></span>&#160;        <a class="code" href="class_he___arc_1_1_r_p_g_1_1_dice.html">Dice&lt;int&gt;</a> m_statDice = <a class="code" href="class_he___arc_1_1_r_p_g_1_1_dice.html">Dice&lt;int&gt;</a>(20);</div>
<div class="line"><a name="l00050"></a><span class="lineno"><a class="line" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a569272e38e69aaf6f1285a9e3811f95c">   50</a></span>&#160;        <span class="keywordtype">int</span> m_level{1};</div>
<div class="line"><a name="l00055"></a><span class="lineno"><a class="line" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#abda9c8d99244d23c15c56ac8d9ff0617">   55</a></span>&#160;        <span class="keywordtype">int</span> m_strength{0};</div>
<div class="line"><a name="l00060"></a><span class="lineno"><a class="line" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#aceed2329152d2a179c8c888daf5a09bd">   60</a></span>&#160;        <span class="keywordtype">int</span> m_agility{0};</div>
<div class="line"><a name="l00065"></a><span class="lineno"><a class="line" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#ab7f3dbdf4a92a55e2ecf810f984c33c1">   65</a></span>&#160;        <span class="keywordtype">int</span> m_intelligence{0};</div>
<div class="line"><a name="l00070"></a><span class="lineno"><a class="line" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a79735b9d6e6d9201385dd97efe545a53">   70</a></span>&#160;        <span class="keywordtype">int</span> m_perception{0};</div>
<div class="line"><a name="l00075"></a><span class="lineno"><a class="line" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a5a98c6a47e818e86ac75a0166bb8c3c0">   75</a></span>&#160;        <span class="keywordtype">int</span> m_hp{0};</div>
<div class="line"><a name="l00079"></a><span class="lineno"><a class="line" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#ad8821a9a8c02c7db1db065a48ceedfc7">   79</a></span>&#160;        <span class="keywordtype">string</span> m_name{<span class="stringliteral">&quot;no_name&quot;</span>};</div>
<div class="line"><a name="l00083"></a><span class="lineno"><a class="line" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a0acb8820b5a72d70df97395c7546fdac">   83</a></span>&#160;        shared_ptr&lt;IObject&gt; m_pObject{<span class="keyword">nullptr</span>};</div>
<div class="line"><a name="l00087"></a><span class="lineno"><a class="line" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#aebb463c3a8725b3ac6e1bac04fad0315">   87</a></span>&#160;        shared_ptr&lt;Backpack&gt; <a class="code" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#aebb463c3a8725b3ac6e1bac04fad0315">m_backpack</a>;</div>
<div class="line"><a name="l00093"></a><span class="lineno"><a class="line" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a74cff61680b7b76ba8a80db23b8fd798">   93</a></span>&#160;        shared_ptr&lt;ISpell&gt; <a class="code" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a74cff61680b7b76ba8a80db23b8fd798">m_spells</a>;</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160; </div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;    <span class="keyword">public</span>:</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;        <a class="code" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">CharacterClass</a>();</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;        <a class="code" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">CharacterClass</a>(<span class="keyword">const</span> <a class="code" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">CharacterClass</a> &amp;character);</div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;        <a class="code" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">CharacterClass</a>(<span class="keywordtype">int</span> level, <span class="keywordtype">int</span> strength, <span class="keywordtype">int</span> agility, <span class="keywordtype">int</span> intelligence, <span class="keywordtype">int</span> perception, <span class="keywordtype">int</span> hp, <span class="keywordtype">string</span> name, shared_ptr&lt;IObject&gt; <span class="keywordtype">object</span> = <span class="keyword">nullptr</span>);</div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;        <span class="keyword">virtual</span> ~<a class="code" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">CharacterClass</a>();</div>
<div class="line"><a name="l00121"></a><span class="lineno"><a class="line" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#ad4f8371c791c5994eee4a81d230b27c1">  121</a></span>&#160;        <span class="keyword">virtual</span> <a class="code" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">CharacterClass</a> *<a class="code" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#ad4f8371c791c5994eee4a81d230b27c1">Clone</a>() <span class="keyword">const</span> = 0;</div>
<div class="line"><a name="l00128"></a><span class="lineno"><a class="line" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#ae69612164d99e1c4b84b05912d03d72e">  128</a></span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">string</span> <a class="code" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#ae69612164d99e1c4b84b05912d03d72e">GetClassTypeName</a>() <span class="keyword">const</span> = 0;</div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> Show() <span class="keyword">const</span>;</div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> Interact(<span class="keyword">const</span> <a class="code" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">CharacterClass</a> &amp;character) <span class="keyword">const</span> = 0;</div>
<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;        <span class="keywordtype">int</span> GetAgility() <span class="keyword">const</span>;</div>
<div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;        <span class="keywordtype">int</span> GetStrength() <span class="keyword">const</span>;</div>
<div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;        <span class="keywordtype">int</span> GetIntelligence() <span class="keyword">const</span>;</div>
<div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;        <span class="keywordtype">int</span> GetHp() <span class="keyword">const</span>;</div>
<div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;        <span class="keywordtype">int</span> GetPerception() <span class="keyword">const</span>;</div>
<div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;        <span class="keywordtype">string</span> GetName() <span class="keyword">const</span>;</div>
<div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;        <span class="keywordtype">void</span> SetName(<span class="keywordtype">string</span> name);</div>
<div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;        <span class="keywordtype">int</span> GetLevel() <span class="keyword">const</span>;</div>
<div class="line"><a name="l00191"></a><span class="lineno"><a class="line" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#aad2d66fcb380f6d48286db4840684e9b">  191</a></span>&#160;        <span class="keywordtype">void</span> <a class="code" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#aad2d66fcb380f6d48286db4840684e9b">IncreaseLevel</a>();</div>
<div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;        shared_ptr&lt;IObject&gt; GetObject() <span class="keyword">const</span>;</div>
<div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160; </div>
<div class="line"><a name="l00204"></a><span class="lineno">  204</span>&#160;        shared_ptr&lt;Backpack&gt; GetBackpack() <span class="keyword">const</span>;</div>
<div class="line"><a name="l00210"></a><span class="lineno">  210</span>&#160;        <span class="keywordtype">void</span> SetBackpack(shared_ptr&lt;Backpack&gt; backpack);</div>
<div class="line"><a name="l00216"></a><span class="lineno">  216</span>&#160;        shared_ptr&lt;ISpell&gt; GetSpells();</div>
<div class="line"><a name="l00217"></a><span class="lineno">  217</span>&#160; </div>
<div class="line"><a name="l00223"></a><span class="lineno">  223</span>&#160;        <span class="keywordtype">void</span> UseObject(<a class="code" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">CharacterClass</a> *character = <span class="keyword">nullptr</span>);</div>
<div class="line"><a name="l00224"></a><span class="lineno">  224</span>&#160; </div>
<div class="line"><a name="l00230"></a><span class="lineno"><a class="line" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a379b4ceb86d4feb6de1bb27b452eb015">  230</a></span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a379b4ceb86d4feb6de1bb27b452eb015">UseSkill</a>(<a class="code" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">CharacterClass</a> *target = <span class="keyword">nullptr</span>) = 0; <span class="comment">// * allows to be nullable instead of &amp;</span></div>
<div class="line"><a name="l00231"></a><span class="lineno">  231</span>&#160; </div>
<div class="line"><a name="l00237"></a><span class="lineno">  237</span>&#160;        <span class="keywordtype">void</span> SufferDamage(<span class="keywordtype">int</span> damage);</div>
<div class="line"><a name="l00243"></a><span class="lineno">  243</span>&#160;        <span class="keywordtype">void</span> Heal(<span class="keywordtype">int</span> amount);</div>
<div class="line"><a name="l00244"></a><span class="lineno">  244</span>&#160; </div>
<div class="line"><a name="l00251"></a><span class="lineno">  251</span>&#160;        <a class="code" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">CharacterClass</a> &amp;operator=(<span class="keyword">const</span> <a class="code" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">CharacterClass</a> &amp;character);</div>
<div class="line"><a name="l00252"></a><span class="lineno">  252</span>&#160; </div>
<div class="line"><a name="l00260"></a><span class="lineno"><a class="line" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a2c67f6e6eead62292fd88a9034656474">  260</a></span>&#160;        <span class="keyword">friend</span> ostream &amp;<a class="code" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a2c67f6e6eead62292fd88a9034656474">operator&lt;&lt;</a>(ostream &amp;s, <span class="keyword">const</span> <a class="code" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">CharacterClass</a> &amp;character);</div>
<div class="line"><a name="l00261"></a><span class="lineno">  261</span>&#160;    };</div>
<div class="line"><a name="l00262"></a><span class="lineno">  262</span>&#160; </div>
<div class="line"><a name="l00263"></a><span class="lineno">  263</span>&#160;    ostream &amp;<a class="code" href="_character_class_8hpp.html#af203bad345b66008e409dd61f4d7af8a">operator&lt;&lt;</a>(ostream &amp;s, <span class="keyword">const</span> <a class="code" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">CharacterClass</a> &amp;character);</div>
<div class="line"><a name="l00264"></a><span class="lineno">  264</span>&#160; </div>
<div class="line"><a name="l00265"></a><span class="lineno">  265</span>&#160;} <span class="comment">// namespace He_Arc::RPG</span></div>
<div class="ttc" id="a_character_class_8hpp_html_af203bad345b66008e409dd61f4d7af8a"><div class="ttname"><a href="_character_class_8hpp.html#af203bad345b66008e409dd61f4d7af8a">He_Arc::RPG::operator&lt;&lt;</a></div><div class="ttdeci">ostream &amp; operator&lt;&lt;(ostream &amp;s, const CharacterClass &amp;character)</div><div class="ttdef"><b>Definition:</b> CharacterClass.cpp:266</div></div>
<div class="ttc" id="aclass_he___arc_1_1_r_p_g_1_1_character_class_html"><div class="ttname"><a href="class_he___arc_1_1_r_p_g_1_1_character_class.html">He_Arc::RPG::CharacterClass</a></div><div class="ttdoc">Class for the CharacterClass. A character class is the &quot;type&quot; (the class) of a character,...</div><div class="ttdef"><b>Definition:</b> CharacterClass.hpp:39</div></div>
<div class="ttc" id="aclass_he___arc_1_1_r_p_g_1_1_character_class_html_a2c67f6e6eead62292fd88a9034656474"><div class="ttname"><a href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a2c67f6e6eead62292fd88a9034656474">He_Arc::RPG::CharacterClass::operator&lt;&lt;</a></div><div class="ttdeci">friend ostream &amp; operator&lt;&lt;(ostream &amp;s, const CharacterClass &amp;character)</div><div class="ttdoc">Show the statistics of the character.</div></div>
<div class="ttc" id="aclass_he___arc_1_1_r_p_g_1_1_character_class_html_a379b4ceb86d4feb6de1bb27b452eb015"><div class="ttname"><a href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a379b4ceb86d4feb6de1bb27b452eb015">He_Arc::RPG::CharacterClass::UseSkill</a></div><div class="ttdeci">virtual void UseSkill(CharacterClass *target=nullptr)=0</div><div class="ttdoc">Use a skill/spell.</div></div>
<div class="ttc" id="aclass_he___arc_1_1_r_p_g_1_1_character_class_html_a74cff61680b7b76ba8a80db23b8fd798"><div class="ttname"><a href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a74cff61680b7b76ba8a80db23b8fd798">He_Arc::RPG::CharacterClass::m_spells</a></div><div class="ttdeci">shared_ptr&lt; ISpell &gt; m_spells</div><div class="ttdoc">Spells of the character.</div><div class="ttdef"><b>Definition:</b> CharacterClass.hpp:93</div></div>
<div class="ttc" id="aclass_he___arc_1_1_r_p_g_1_1_character_class_html_aad2d66fcb380f6d48286db4840684e9b"><div class="ttname"><a href="class_he___arc_1_1_r_p_g_1_1_character_class.html#aad2d66fcb380f6d48286db4840684e9b">He_Arc::RPG::CharacterClass::IncreaseLevel</a></div><div class="ttdeci">void IncreaseLevel()</div><div class="ttdoc">Increase the level of the character by one.</div></div>
<div class="ttc" id="aclass_he___arc_1_1_r_p_g_1_1_character_class_html_ad4f8371c791c5994eee4a81d230b27c1"><div class="ttname"><a href="class_he___arc_1_1_r_p_g_1_1_character_class.html#ad4f8371c791c5994eee4a81d230b27c1">He_Arc::RPG::CharacterClass::Clone</a></div><div class="ttdeci">virtual CharacterClass * Clone() const =0</div><div class="ttdoc">Create a clone of the character.</div></div>
<div class="ttc" id="aclass_he___arc_1_1_r_p_g_1_1_character_class_html_ae69612164d99e1c4b84b05912d03d72e"><div class="ttname"><a href="class_he___arc_1_1_r_p_g_1_1_character_class.html#ae69612164d99e1c4b84b05912d03d72e">He_Arc::RPG::CharacterClass::GetClassTypeName</a></div><div class="ttdeci">virtual string GetClassTypeName() const =0</div><div class="ttdoc">Get the name of the class For exemple; if called with this class, it would return &quot;CharacterClass&quot; or...</div></div>
<div class="ttc" id="aclass_he___arc_1_1_r_p_g_1_1_character_class_html_aebb463c3a8725b3ac6e1bac04fad0315"><div class="ttname"><a href="class_he___arc_1_1_r_p_g_1_1_character_class.html#aebb463c3a8725b3ac6e1bac04fad0315">He_Arc::RPG::CharacterClass::m_backpack</a></div><div class="ttdeci">shared_ptr&lt; Backpack &gt; m_backpack</div><div class="ttdoc">The backpack (inventory) of the character.</div><div class="ttdef"><b>Definition:</b> CharacterClass.hpp:87</div></div>
<div class="ttc" id="aclass_he___arc_1_1_r_p_g_1_1_dice_html"><div class="ttname"><a href="class_he___arc_1_1_r_p_g_1_1_dice.html">He_Arc::RPG::Dice&lt; int &gt;</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
